package com.smg.persistwork.connexio.bd;

import java.sql.DriverManager;

import com.smg.persistwork.exception.PersistWorkException;

/**
 * ConnexioBDMysSql: Classe que implementa l'accs 
 * a base de dades de tipus MySql. Noms t de particular
 * que carrega el driver correcte. 
 * @author Sergio Maeso
 * @version 1.0
 * 
 *
 */
public class ConnexioBDMySql extends ConnexioBD {



	/**
	 * @param cadenaConnexio
	 * @param usuari
	 * @param contrasenya
	 */
	public ConnexioBDMySql(String cadenaConnexio, String usuari,
			String contrasenya) {
		super(cadenaConnexio, usuari, contrasenya);
		
	}

	/* (non-Javadoc)
	 * @see com.smg.persistwork.connexio.bd.ConnexioBD#inicialitzacio()
	 */
	@Override
	protected void inicialitzacio() throws PersistWorkException {		
		try
		{
		   DriverManager.registerDriver(new org.gjt.mm.mysql.Driver());
		} catch (Exception e)
		{
			throw new PersistWorkException(PersistWorkException.BD_11,
					PersistWorkException.BD11_TXT);
		}
	}



}
