package com.smg.persistwork.model.annotations;

/**
 * Enum per a diferenciar el tipus de clau primria.
 * @author Sergio Maeso
 * @version 1.0
 *
 */
public enum TipusClau {

		/**
		 * S'assignar el valor mxim + 1 del registre.
		 */
		VALOR_MAX, 
		/**
		 * Es far servir una seqncia definida
		 * de forma automtica (mysql) o amb un seqncial (oracle) 
		 */
		AUTO_INCREMENT , 
		/**
		 * El valor ha de vindre assignat per programa. 
		 */
		VALOR_ASSIGNAT
	
}
