package com.smg.persistwork.aplicacio.rrhh.model;

import com.smg.persistwork.model.annotations.ClauPrimaria;
import com.smg.persistwork.model.annotations.Columna;
import com.smg.persistwork.model.annotations.Taula;
import com.smg.persistwork.model.annotations.TipusClau;

/**
 * @author Sergio Maeso
 *
 */
@Taula
public class Departament {

	
	@Columna(nom="ID_DEPARTAMENT",obligatori=true,tamany=12)
	@ClauPrimaria(tipusClau=TipusClau.AUTO_INCREMENT,nomSequencia="SEQ_DEPARTAMENT")
	private int id;
	
	@Columna(obligatori=true,tamany=50)
	private String nom;
	
	@Columna(obligatori=true,tamany=150)
	private String correuElectronic;
	
	@Columna(obligatori=true,tamany=150,nom="ADRECA_POSTAL")
	private String adreca;
	
	@Columna(tamany=5, nom="NUMERO_EMPLEATS", valorDefecte="0")
	private int numEmpleats;

	public int getId() {
		return id;
	}

	public void setId(int id) {
		this.id = id;
	}

	public String getNom() {
		return nom;
	}

	public void setNom(String nom) {
		this.nom = nom;
	}

	public String getCorreuElectronic() {
		return correuElectronic;
	}

	public void setCorreuElectronic(String correuElectronic) {
		this.correuElectronic = correuElectronic;
	}

	public String getAdreca() {
		return adreca;
	}

	public void setAdreca(String adreca) {
		this.adreca = adreca;
	}

	public int getNumEmpleats() {
		return numEmpleats;
	}

	public void setNumEmpleats(int numEmpleats) {
		this.numEmpleats = numEmpleats;
	}
	
	
}
