<%@ page language="java" contentType="text/html; charset=ISO-8859-1"
	pageEncoding="ISO-8859-1"%>
<%@ page import="com.smg.persistwork.aplicacio.rrhh.model.Empleat"%>
<%@ page
	import="com.smg.persistwork.aplicacio.rrhh.accions.EmpleatAccio"%>
<%@ page import="java.util.List"%>
<%@ page import="java.util.ArrayList"%>
<%@ page import="com.smg.persistwork.aplicacio.rrhh.model.Departament"%>
<%@ page
	import="com.smg.persistwork.aplicacio.rrhh.accions.DepartamentAccio"%>
<%@page import="com.smg.persistwork.exception.PersistWorkException"%>
<%@page import="java.text.SimpleDateFormat"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1">
<title>Nou Empleat</title>
<link rel="stylesheet" type="text/css" href="../css/estilos.css"/>
</head>
<body>

	<h1>Nou Empleat</h1>
	<%
		SimpleDateFormat form1 = new SimpleDateFormat("dd/MM/yyyy");
		boolean insert = false;
		Empleat emp = new Empleat();
		DepartamentAccio dpacc = new DepartamentAccio();
		List<Departament> dps = new ArrayList<Departament>();
		EmpleatAccio empacc = new EmpleatAccio();
		dps = dpacc.cercaDepartaments();
		if (request.getParameter("accio") != null
				&& "alta".equals(request.getParameter("accio"))) {
			try {
				emp = empacc.insertaEmpleat(request.getParameter("nom"), request.getParameter("cognom1"), request.getParameter("cognom2"), request.getParameter("dni"), request.getParameter("correu"), request.getParameter("adreca"), request.getParameter("dataEntradaEmpresa"), request.getParameter("dataNaixement"), request.getParameter("estudis"),request.getParameter("sou"), request.getParameter("departament"));						
				insert = true;
			} catch (PersistWorkException pe) {
	%>
	S'ha trobat el segent error:<%=pe.getMissatge()%>
	<%
		} catch (Exception e) {
	%>
	S'ha trobat el segent error:<%=e.getMessage()%>
	<%
		}

			if (insert) {
	%>
	S'ha creat l'empleat amb identificador:
	<%=emp.getId()%>
	<%
		}

		}
	%>

	<FORM ACTION="nou.jsp" METHOD="GET">
		<input type="hidden" name="accio" value="alta" />
		<ul>
			<li><label for="dni">Dni </label><input type="text" name="dni"
				maxlength="10" value="<%=emp.getDni() == null ? "" : emp.getDni()%>" /></li>
			<li><label for="nom">Nom </label><input type="text" name="nom"
				maxlength="30" value="<%=emp.getNom() == null ? "" : emp.getNom()%>" /></li>
			<li><label for="cognom1">1er Cognom</label><input type="text"
				name="cognom1" maxlength="60"
				value="<%=emp.getCognom1() == null ? "" : emp.getCognom1()%>" /></li>
			<li><label for="cognom2">2on Cognom</label><input type="text"
				name="cognom2" maxlength="60"
				value="<%=emp.getCognom2() == null ? "" : emp.getCognom2()%>" /></li>
			<li><label for="dataNaixement">Data Naixement</label><input
				type="text" name="dataNaixement" maxlength="10"
				value="<%=emp.getDataNaixement()==null?"":form1.format(emp.getDataNaixement().getTime())%>" /></li>
				
			<li><label for="correu">Correu electrnic</label><input
				type="text" name="correu" maxlength="150"
				value="<%=emp.getCorreuElectronic() == null ? "" : emp
					.getCorreuElectronic()%>" /></li>
			<li><label for="adreca">Adrea postal</label><input type="text"
				name="adreca" maxlength="300"
				value="<%=emp.getAdreca() == null ? "" : emp.getAdreca()%>" /></li>
			<li><label for="estudis">Estudis</label><input type="text"
				name="estudis" maxlength="300"
				value="<%=emp.getEstudis() == null ? "" : emp.getEstudis()%>" /></li>
			<li><label for="sou">Sou</label><input type="text"
				name="sou" maxlength="13" value="<%=emp.getSou()%>" /></li>

			<li><label for="dataEntradaEmpresa">Data Entrada</label><input
				type="text" name="dataEntradaEmpresa" maxlength="10"
				value="<%=emp.getDataEntradaEmpresa() == null ? "" :form1.format(emp.getDataEntradaEmpresa().getTime())%>" /></li>
				
			<li><label for="departament">Departament</label> <select
				name="departament">								
					<%
						for (Departament dp : dps) {
					%>
					<option value="<%=dp.getId()%>"
						<%=(emp.getPertany()!=null && emp.getPertany().getId() == dp.getId()) ? "selected='selected'"
						: ""%>><%=dp.getNom()%></option>

					<%
						}
					%>
			</select></li>
		</ul>

		<input type="submit" value="Donar d'alta" />
	</FORM>
	<a href="../index.jsp">Tornar</a>
</body>
</html>